'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/10/23
 * @version
 */

/*
 * 我的补充定额库章节树模板，一个费用定额有一个模板
 * 模板的生成目前由手工生成（借助定额库编辑器的章节树编辑）
 * 新用户第一次进入某费用定额的补充定额库时，拷贝模板给该用户
 *
 * */

import mongoose from 'mongoose';

const Schema = mongoose.Schema;
const compleRationSectionTemp = new Schema({
    compilationId: String,
    name: String,
    ID: Number,
    ParentID: Number,
    NextSiblingID: Number,
    //以下预留结构，以防后续需要默认数据
    explanation: String,//说明
    ruleText: String,//计算规则,
    jobContentSituation: String,//工作内容适用情况,ALL适用本项全部定额，PARTIAL适用本项部分定额
    annotationSituation: String,//附注适用情况,ALL适用本项全部定额，PARTIAL适用本项部分定额
});

mongoose.model('complementary_ration_section_templates', compleRationSectionTemp, 'complementary_ration_section_templates');
