/**
 * Created by Zhong on 2018/3/22.
 */
/*定额库-定额*/
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const rationGljItemSchema = new Schema({
    gljId: Number,
    consumeAmt: Number,
    proportion: Number //配合比，暂时无需使用，默认0
}, { _id: false });

const rationAssItemSchema = new Schema({
    name: String,
    assistID: Number,
    assistCode: String,
    stdValue: String,
    stepValue: String,
    decimal: Number,
    carryBit: String,
    minValue: String,
    maxValue: String,
    paramName:String,//参数名称
    param:String,//参数
    thirdRationCode:String//第三定额
}, { _id: false });

//定额安装增加费用
const rationInstSchema = new Schema({
    feeItemId: String,
    sectionId: String
},{_id: false});

const rationItemSchema = new Schema({
    ID:Number,
    code: String,
    name: String,
    unit: String,
    basePrice: Number,
    labourPrice: Number,
    materialPrice: Number,
    machinePrice: Number,
    sectionId: Number,
    rationRepId: {type: Number, index: true},
    caption: String,
    feeType: Number,
    jobContent: String,
    annotation: String,
    manageFeeRate: String, // 管理费费率
    rationGljList: [rationGljItemSchema],
    rationCoeList: Array,
    rationAssList: [rationAssItemSchema],
    rationInstList: [rationInstSchema],
    rationTemplateList: {
        type: Array,
        default: []
    },
    isDeleted: {type: Boolean, default: false}
});

mongoose.model('std_ration_lib_ration_items', rationItemSchema, 'std_ration_lib_ration_items');