/**
 * Created by Mai on 2017/8/29.
 */

const fixedFlag = {
    // 分部分项工程
    SUB_ENGINERRING: 1,
    // 措施项目
    MEASURE: 2,
    // 施工技术措施项目
    CONSTRUCTION_TECH: 3,
    // 安全文明施工按实计算费用
    SAFETY_CONSTRUCTION_ACTUAL: 4,
    // 施工组织措施专项费用
    CONSTRUCTION_ORGANIZATION: 5,
    // 安全文明施工专项费用
    SAFETY_CONSTRUCTION: 6,
    // 其他项目
    OTHER: 7,
    // 暂列金额
    PROVISIONAL: 8,
    // 暂估价
    ESTIMATE: 9,
    // 材料（工程设备）暂估价
    MATERIAL_PROVISIONAL: 10,
    // 专业工程暂估价
    ENGINEERING_ESITIMATE: 11,
    // 计日工
    DAYWORK: 12,
    // 总承包服务费
    TURN_KEY_CONTRACT: 13,
    // 索赔与现场签证
    CLAIM_VISA: 14,
    // 规费
    CHARGE: 15,
    // 社会保险费及住房公积金 Social insurance fee and housing accumulation fund
    SOCIAL_INSURANCE_HOUSING_FUND: 16,
    // 工程排污费 charges for disposing pollutants
    POLLUTANTS: 17,
    // 税金
    TAX: 18,
    //工程造价
    ENGINEERINGCOST: 19,
    //增值税
    ADDED_VALUE_TAX: 20,
    //专项技术措施暂估价
    SPECIAL_TECH_PROVISIONAL: 21,
    //专业发包工程管理费
    LET_CONTRACT_MANAGEMENT: 22,
    //人工
    LABOUR: 23,
    //材料
    MATERIAL: 24,
    //施工机械
    MACHINE: 25,
    //索赔
    CLAIM: 26,
    //现场签证
    VISA: 27,
    //附加税
    ADDITIONAL_TAX: 28,
    //环境保护税
    ENVIRONMENTAL_PROTECTION_TAX: 29,
    //建设工程竣工档案编制费
    PROJECT_COMPLETE_ARCH_FEE:30,
    //住宅工程质量分户验收费
    HOUSE_QUALITY_ACCEPT_FEE:31,
    //组织措施费
    ORGANIZATION:32,
    //其他措施费
    OTHER_MEASURE_FEE:33,
    // 绿色施工安全防护措施费
    GREEN_MEASURE_FEE: 34,
    // 预算包干费
    BUDGET_INCLUDE_WORK_FEE: 35,
    // 工程优质费
    PROJECT_HIGH_QUALITY_FEE: 36,
    // 概算幅度差
    BUDGET_ESTIMATE_DIFF: 37,
    // 其他费用（与其他项目不同，参考广东的用法）
    OTHER_FEE: 38
};
const fixedFlagList = [
    {name: "分部分项工程", value: fixedFlag.SUB_ENGINERRING},
    {name: "措施项目", value: fixedFlag.MEASURE},
    {name: "施工技术措施项目", value: fixedFlag.CONSTRUCTION_TECH},
    {name: "安全文明施工按实计算费用", value: fixedFlag.SAFETY_CONSTRUCTION_ACTUAL},
    {name: "施工组织措施项目", value: fixedFlag.CONSTRUCTION_ORGANIZATION},
    {name: "安全文明施工专项费用", value: fixedFlag.SAFETY_CONSTRUCTION},
    {name: "其他项目", value: fixedFlag.OTHER},
    {name: "暂列金额", value: fixedFlag.PROVISIONAL},
    {name: "暂估价", value: fixedFlag.ESTIMATE},
    {name: "材料（工程设备）暂估价", value: fixedFlag.MATERIAL_PROVISIONAL},
    {name: "专业工程暂估价", value: fixedFlag.ENGINEERING_ESITIMATE},
    {name: "计日工", value: fixedFlag.DAYWORK},
    {name: '人工', value: fixedFlag.LABOUR},
    {name: '材料', value: fixedFlag.MATERIAL},
    {name: '施工机械', value: fixedFlag.MACHINE},
    {name: "总承包服务费", value: fixedFlag.TURN_KEY_CONTRACT},
    {name: "索赔与现场签证", value: fixedFlag.CLAIM_VISA},
    {name: "索赔", value: fixedFlag.CLAIM},
    {name: "现场签证", value: fixedFlag.VISA},
    {name: "规费", value: fixedFlag.CHARGE},
    {name: "社会保险费及住房公积金", value: fixedFlag.SOCIAL_INSURANCE_HOUSING_FUND},
    {name: "工程排污费", value: fixedFlag.POLLUTANTS},
    {name: "税金", value: fixedFlag.TAX},
    {name: "工程造价", value: fixedFlag.ENGINEERINGCOST},
    {name: "增值税", value: fixedFlag.ADDED_VALUE_TAX},
    {name: "附加税", value: fixedFlag.ADDITIONAL_TAX},
    {name: "环境保护税", value: fixedFlag.ENVIRONMENTAL_PROTECTION_TAX},
    {name: '专项技术措施暂估价', value: fixedFlag.SPECIAL_TECH_PROVISIONAL},
    {name: '专业发包工程管理费', value: fixedFlag.LET_CONTRACT_MANAGEMENT},
    {name: '建设工程竣工档案编制费', value: fixedFlag.PROJECT_COMPLETE_ARCH_FEE},
    {name: '住宅工程质量分户验收费', value: fixedFlag.HOUSE_QUALITY_ACCEPT_FEE},
    {name: '组织措施费', value: fixedFlag.ORGANIZATION},
    {name: '其他措施费', value: fixedFlag.OTHER_MEASURE_FEE},
    {name: '绿色施工安全防护措施费', value: fixedFlag.GREEN_MEASURE_FEE},
    {name: '预算包干费', value: fixedFlag.BUDGET_INCLUDE_WORK_FEE},
    {name: '工程优质费', value: fixedFlag.PROJECT_HIGH_QUALITY_FEE},
    {name: '概算幅度差', value: fixedFlag.BUDGET_ESTIMATE_DIFF},
    {name: '其他费用', value: fixedFlag.OTHER_FEE}
];

export {fixedFlag as default, fixedFlagList as List};
