/**
 * Created by vian on 2017/4/10.
 */
var billsLibSetting = {
    cols:[
        {
            head: {
                titleNames: ['编码'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 160
        },
        {
            head: {
                titleNames: ['名称'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'name',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 240
        },
        {
            head: {
                titleNames: ['计量单位'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'unit',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 80
        },
        {
            head: {
                titleNames: ['工程量计算规则'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'ruleText',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 420
        },
        {
            head: {
                titleNames: ['工程专业'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'engineering',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 80
        },
        {
            head: {
                titleNames: ['工程经济\n指标类别'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'economicType',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 80
        },
        {
            head: {
                titleNames: ['工程量指\n标类别'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'quantityIndexType',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 80
        },
        {
            head: {
                titleNames: ['工程量指\n标单位'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'quantityIndexUnit',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 60
        },
        {
            head: {
                titleNames: ['单位转\n换系数'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'quantityIndexCoe',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 60
        }
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 0,
    treeCol: 0
};

var jobsSetting = {
    cols:[
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
        {
            head: {
                titleNames: ['工作内容'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var itemsSetting = {
    cols:[
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
        {
            head: {
                titleNames: ['项目特征'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var totalJobsSetting = {
    cols:[
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['工作内容'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 850
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var totalItemsSetting = {
    cols:[
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['项目特征'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 800
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var eigenValueSetting = {
    cols:[
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['特征值'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'value',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 480
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
}
