'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/8/31
 * @version
 */

/*
* 费用定额下priceProperties为空，则单位工程中取价取basePrice字段
* 费用定额下consumeAmtProperties为空，则单位工程中取消耗量取consumeAmt字段
* */

//计税方式
const taxModel = {'common': 1, 'simple': 2};
//兰州 定西 天水 平凉 庆阳 武威 金昌 张掖 酒泉 甘矿 嘉峪关 临夏 合作 武都 白银
//价格属性-地区+计税方式
const pricePropertiesTemplate = [
    {
        region: '兰州',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price1',
            dataName: '兰州单价-一般'
        }
    },
    {
        region: '兰州',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price2',
            dataName: '兰州单价-简易'
        }
    },
    {
        region: '定西',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price3',
            dataName: '定西单价-一般'
        }
    },
    {
        region: '定西',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price4',
            dataName: '定西单价-简易'
        }
    },
    {
        region: '天水',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price5',
            dataName: '天水单价-一般'
        }
    },
    {
        region: '天水',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price6',
            dataName: '天水单价-简易'
        }
    },
    {
        region: '平凉',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price7',
            dataName: '平凉单价-一般'
        }
    },
    {
        region: '平凉',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price8',
            dataName: '平凉单价-简易'
        }
    },
    {
        region: '庆阳',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price9',
            dataName: '庆阳单价-一般'
        }
    },
    {
        region: '庆阳',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price10',
            dataName: '庆阳单价-简易'
        }
    },
    {
        region: '武威',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price11',
            dataName: '武威单价-一般'
        }
    },
    {
        region: '武威',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price12',
            dataName: '武威单价-简易'
        }
    },
    {
        region: '金昌',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price13',
            dataName: '金昌单价-一般'
        }
    },
    {
        region: '金昌',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price14',
            dataName: '金昌单价-简易'
        }
    },
    {
        region: '张掖',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price15',
            dataName: '张掖单价-一般'
        }
    },
    {
        region: '张掖',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price16',
            dataName: '张掖单价-简易'
        }
    },
    {
        region: '酒泉',
        taxModel: taxModel.common,
        price: {
            dataCode: 'Price17',
            dataName: '酒泉单价-一般'
        }
    },
    {
        region: '酒泉',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price18',
            dataName: '酒泉单价-简易'
        }
    },
    {
        region: '甘矿',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price19',
            dataName: '甘矿单价-一般'
        }
    },
    {
        region: '甘矿',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price20',
            dataName: '甘矿单价-简易'
        }
    },
    {
        region: '嘉峪关',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price21',
            dataName: '嘉峪关单价-一般'
        }
    },
    {
        region: '嘉峪关',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price22',
            dataName: '嘉峪关单价-简易'
        }
    },
    {
        region: '临夏',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price23',
            dataName: '临夏单价-一般'
        }
    },
    {
        region: '临夏',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price24',
            dataName: '临夏单价-简易'
        }
    },
    {
        region: '合作',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price25',
            dataName: '合作单价-一般'
        }
    },
    {
        region: '合作',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price26',
            dataName: '合作单价-简易'
        }
    },
    {
        region: '武都',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price27',
            dataName: '武都单价-一般'
        }
    },
    {
        region: '武都',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price28',
            dataName: '武都单价-简易'
        }
    },
    {
        region: '白银',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price29',
            dataName: '白银单价-一般'
        }
    },
    {
        region: '白银',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price30',
            dataName: '白银单价-简易'
        }
    },
];

const consumeAmtPropertiesTemplate = [];

if(typeof module !== 'undefined'){
    module.exports = {
        pricePropertiesTemplate: pricePropertiesTemplate,
        consumeAmtPropertiesTemplate: consumeAmtPropertiesTemplate
    };
}
