/**
 * 菜单配置
 *
 * @author CaiAoLin
 * @date 2017/6/5
 * @version
 */
let menuData = {
    'dashboard': {
        title: '首页',
        url: '/dashboard',
        name: 'dashboard',
        iconClass: 'glyphicon glyphicon-home'
    },
    'user': {
        title: '用户管理',
        url: '/user',
        name: 'user',
        iconClass: 'glyphicon glyphicon-user',
        children: {
            'index' : {
                title: '普通用户',
                url: '/user',
                name: 'index',
            },
            'testUser' : {
                title: '测试用户',
                url: '/user/test-user',
                name: 'test-user',
            }
        }
    },
    'notify': {
        title: '通知管理',
        url: '/notify',
        name: 'notify',
        iconClass: 'glyphicon glyphicon-bell',
    },
    'version': {
        title: '费用定额',
        url: '/compilation',
        name: 'compilation',
        iconClass: 'glyphicon glyphicon-tag'
    },
    'tool': {
        title: '工具',
        url: '/tool',
        name: 'tool',
        iconClass: 'glyphicon glyphicon-wrench'
    },
    'manager': {
        title: '后台管理',
        url: '/manager',
        name: 'manager',
        iconClass: 'glyphicon glyphicon-cog',
        children: {
            'index' : {
                title: '账号管理',
                url: '/manager',
                name: 'index',
            },
            'authority' : {
                title: '权限组',
                url: '/manager/authority',
                name: 'authority',
            },
            'admin' : {
                title: '超级管理员',
                url: '/manager/admin',
                name: 'admin',
            }
        }
    }
};

export default menuData;