/**
 * Created by zhang on 2018/7/14.
 */

//列设置库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const main_col_lib = new Schema({
        ID:{type:String,index:true},
            main_tree_col: {
                type: Schema.Types.Mixed,
                default: {
                    emptyRows: 3,
                    headRows: 0,
                    treeCol: 0,
                    headRowHeight: [],
                    cols:[]
                }
            },
        creator: String,
        createDate: Number,
        recentOpr: [oprSchema],
        name: String,
        compilationId: String,
        compilationName: String,
        deleted: Boolean
    }, {versionKey: false}
);

mongoose.model("std_main_col_lib", main_col_lib,"std_main_col_lib");
