/**
 * Created by Tony on 2016/12/23.
 * 仅仅是存放报表模板的地方，由谁来引用是TreeNodeSchema的事情
 */
import mongoose from "mongoose";
let Schema = mongoose.Schema;
let RptTemplateSchema = new Schema({
    "ID" : Number,
    "GROUP_KEY": String,
    "ID_KEY": String,
    "主信息": Schema.Types.Mixed,
    "指标_数据_映射": {
        "离散指标_集合": Array,
        "主数据指标_集合": Array,
        "从数据指标_集合": Array,
        "主数据指标_拓展集合": Array,
        "从数据指标_拓展集合": Array
    },
    "映射数据预处理": Array,
    "布局框_集合": Array,
    "流水式表_信息": Schema.Types.Mixed,
    "流水式表_拓展信息": Schema.Types.Mixed,
    "账单式表_信息": Schema.Types.Mixed,
    "交叉表_信息": Schema.Types.Mixed,
    "无映射离散指标_集合": Schema.Types.Mixed,
    "离散参数_集合": Schema.Types.Mixed,
    "计算式_集合": Array
});

let RptTplExtCodeSchema = new Schema({
    "Name": String,
    "Type": String,
    "Description": String,
    "Template": String,
    "items": Array
});

mongoose.model("rpt_templates", RptTemplateSchema, "rpt_templates");
mongoose.model("rpt_ext_code_tpl", RptTplExtCodeSchema, "rpt_ext_code_tpl");

//rpt_ext_code_tpl

// export {Template as default};
