/**
 * Created by Zhong on 2018/3/22.
 */
/*清单库编辑器-清单*/
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const stdBills_bills = new Schema({
            ID: String,
            ParentID: String,
            NextSiblingID: String,
            code: String,
            name: String,
            unit: String,
            ruleText: String,
            engineering: Number, //工程专业，填计算程序工程专业ID
            Expression: String,
            comment: String, //备注，清单精灵处输入
            jobs: [],
            items: [],
            recharge:String,
            billsLibId: {type:Number,index:true},
            sectionInfo: Schema.Types.Mixed,
            //经济指标属性
            economicType:String,//工程经济指标类别
            quantityIndexType:String,//工程量指标类别
            quantityIndexUnit:String,//工程量指标单位
            quantityIndexCoe:Number,//单位转换系数

            deleted: Boolean
    },
    {versionKey: false}
);

mongoose.model('std_bills_lib_bills', stdBills_bills, 'std_bills_lib_bills');