'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/5/29
 * @version
 */
//清单指引条目
const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const stdBillsGuidanceItems = new Schema({
    libID: String,
    ID: { type: String, index: true }, //uuid
    ParentID: String,
    NextSiblingID: String,
    billsID: String, //关联清单的ID
    name: String,
    comment: String, //备注
    type: Number, //0:工作内容 1:定额
    rationID: {type: Number, default: null}, //定额类型时
    deleted: {type: Boolean, default: false},
    outputItemCharacter: {type: Boolean, default: false},
    required: {type: Boolean, default: false},
    unit: String, // 单位，辅助运距功能
    interval: String, // 区间，辅助运距功能
    isMaterial: {type: Boolean, default: false}, // 材料，辅助替换材料规格
    isDefaultOption: {type: Boolean, default: false}, // 是否是默认选项
}, {versionKey: false});

mongoose.model('std_billsGuidance_items', stdBillsGuidanceItems, 'std_billsGuidance_items');