/**
 * 专业工程相关常量
 *
 * @author CaiAoLin
 * @date 2017/8/7
 * @version
 */
const engineering = {
    // 建筑工程
    ARCHITECTURE: 1,
    // 装饰工程
    DECORATE: 2,
    // 仿古建筑工程
    ANTIQUE_ARCHITECTURE: 3,
    // 安装工程
    BUILD_IN: 4,
    // 市政土建工程
    MUNICIPAL_CONSTRUCTION: 5,
    // 市政安装工程
    MUNICIPAL_BUILD_IN: 6,
    // 人工土石方工程
    ARTIFICIAL_EARTHWORK: 7,
    // 机械土石方工程
    MECHANICAL_EARTHWORK: 8,
    // 炉窖砌筑工程
    KILN_MASONRY: 9,
    // 园林工程
    GARDEN: 10,
    // 绿化工程
    PLANTING: 11,
    // 单拆除工程
    DISMANTLE: 12,
    // 建筑修缮工程
    BUILDING_REPAIR: 13,
    // 安装修缮工程
    BUILD_IN_REPAIR: 14
};
const engineeringList = [
    {name: "建筑工程", value: engineering.ARCHITECTURE},
    {name: "装饰工程", value: engineering.DECORATE},
    {name: "仿古建筑工程", value: engineering.ANTIQUE_ARCHITECTURE},
    {name: "安装工程", value: engineering.BUILD_IN},
    {name: "市政土建工程", value: engineering.MUNICIPAL_CONSTRUCTION},
    {name: "市政安装工程", value: engineering.MUNICIPAL_BUILD_IN},
    {name: "人工土石方工程", value: engineering.ARTIFICIAL_EARTHWORK},
    {name: "机械土石方工程", value: engineering.MECHANICAL_EARTHWORK},
    {name: "炉窖砌筑工程", value: engineering.KILN_MASONRY},
    {name: "园林工程", value: engineering.GARDEN},
    {name: "绿化工程", value: engineering.PLANTING},
    {name: "单拆除工程", value: engineering.DISMANTLE},
    {name: "建筑修缮工程", value: engineering.BUILDING_REPAIR},
    {name: "安装修缮工程", value: engineering.BUILD_IN_REPAIR},
];

export {engineering as default, engineeringList as List};
