/**
 * Created by Tony on 2019/12/12.
 */

const fontWidthMap = {
    "宋体": {
        "宽": {
            "_6": 6,
            "_7": 7,
            "_8": 8,
            "_9": 9,
            "_10": 10,
            "_11": 11,
            "_12": 12,
            "_13": 13,
            "_14": 14,
            "_15": 15,
            "_16": 16,
            "_17": 17,
            "_18": 18,
            "_19": 19,
            "_20": 20,
            "_21": 21,
            "_22": 22,
            "_23": 23,
            "_24": 24,
            "_25": 25,
            "_26": 26,
            "_27": 27,
            "_28": 28,
            "_29": 29,
            "_30": 30,
            "_31": 31,
            "_32": 32,
            "_33": 33,
            "_34": 34,
            "_35": 35,
            "_36": 36,
            "_37": 37,
            "_38": 38,
            "_39": 39,
            "_40": 40,
            "_41": 41,
            "_42": 42,
            "_43": 43,
            "_44": 44,
            "_45": 45,
            "_46": 46,
            "_47": 47,
            "_48": 48,
            "_49": 49,
            "_50": 50,
            "_51": 51,
            "_52": 52,
            "_53": 53,
            "_54": 54,
            "_55": 55,
            "_56": 56,
            "_57": 57,
            "_58": 58,
            "_59": 59,
            "_60": 60,
            "_61": 61,
            "_62": 62,
            "_63": 63,
            "_64": 64
        },
        "窄": {
            "_6": 3,
            "_7": 3.5,
            "_8": 4,
            "_9": 4.5,
            "_10": 5,
            "_11": 5.5,
            "_12": 6,
            "_13": 6.5,
            "_14": 7,
            "_15": 7.5,
            "_16": 8,
            "_17": 8.5,
            "_18": 9,
            "_19": 9.5,
            "_20": 10,
            "_21": 10.5,
            "_22": 11,
            "_23": 11.5,
            "_24": 12,
            "_25": 12.5,
            "_26": 13,
            "_27": 13.5,
            "_28": 14,
            "_29": 14.5,
            "_30": 15,
            "_31": 15.5,
            "_32": 16,
            "_33": 16.5,
            "_34": 17,
            "_35": 17.5,
            "_36": 18,
            "_37": 18.5,
            "_38": 19,
            "_39": 19.5,
            "_40": 20,
            "_41": 20.5,
            "_42": 21,
            "_43": 21.5,
            "_44": 22,
            "_45": 22.5,
            "_46": 23,
            "_47": 23.5,
            "_48": 24,
            "_49": 24.5,
            "_50": 25,
            "_51": 25.5,
            "_52": 26,
            "_53": 26.5,
            "_54": 27,
            "_55": 27.5,
            "_56": 28,
            "_57": 28.5,
            "_58": 29,
            "_59": 29.5,
            "_60": 30,
            "_61": 30.5,
            "_62": 31,
            "_63": 31.5,
            "_64": 32
        }
    },
    "黑体": {
        "宽": {
            "_6": 6,
            "_7": 7,
            "_8": 8,
            "_9": 9,
            "_10": 10,
            "_11": 11,
            "_12": 12,
            "_13": 13,
            "_14": 14,
            "_15": 15,
            "_16": 16,
            "_17": 17,
            "_18": 18,
            "_19": 19,
            "_20": 20,
            "_21": 21,
            "_22": 22,
            "_23": 23,
            "_24": 24,
            "_25": 25,
            "_26": 26,
            "_27": 27,
            "_28": 28,
            "_29": 29,
            "_30": 30,
            "_31": 31,
            "_32": 32,
            "_33": 33,
            "_34": 34,
            "_35": 35,
            "_36": 36,
            "_37": 37,
            "_38": 38,
            "_39": 39,
            "_40": 40,
            "_41": 41,
            "_42": 42,
            "_43": 43,
            "_44": 44,
            "_45": 45,
            "_46": 46,
            "_47": 47,
            "_48": 48,
            "_49": 49,
            "_50": 50,
            "_51": 51,
            "_52": 52,
            "_53": 53,
            "_54": 54,
            "_55": 55,
            "_56": 56,
            "_57": 57,
            "_58": 58,
            "_59": 59,
            "_60": 60,
            "_61": 61,
            "_62": 62,
            "_63": 63,
            "_64": 64
        },
        "窄": {
            "_6": 3,
            "_7": 3.5,
            "_8": 4,
            "_9": 4.5,
            "_10": 5,
            "_11": 5.5,
            "_12": 6,
            "_13": 6.5,
            "_14": 7,
            "_15": 7.5,
            "_16": 8,
            "_17": 8.5,
            "_18": 9,
            "_19": 9.5,
            "_20": 10,
            "_21": 10.5,
            "_22": 11,
            "_23": 11.5,
            "_24": 12,
            "_25": 12.5,
            "_26": 13,
            "_27": 13.5,
            "_28": 14,
            "_29": 14.5,
            "_30": 15,
            "_31": 15.5,
            "_32": 16,
            "_33": 16.5,
            "_34": 17,
            "_35": 17.5,
            "_36": 18,
            "_37": 18.5,
            "_38": 19,
            "_39": 19.5,
            "_40": 20,
            "_41": 20.5,
            "_42": 21,
            "_43": 21.5,
            "_44": 22,
            "_45": 22.5,
            "_46": 23,
            "_47": 23.5,
            "_48": 24,
            "_49": 24.5,
            "_50": 25,
            "_51": 25.5,
            "_52": 26,
            "_53": 26.5,
            "_54": 27,
            "_55": 27.5,
            "_56": 28,
            "_57": 28.5,
            "_58": 29,
            "_59": 29.5,
            "_60": 30,
            "_61": 30.5,
            "_62": 31,
            "_63": 31.5,
            "_64": 32
        }
    },
    "楷体": {
        "宽": {
            "_6": 6,
            "_7": 7,
            "_8": 8,
            "_9": 9,
            "_10": 10,
            "_11": 11,
            "_12": 12,
            "_13": 13,
            "_14": 14,
            "_15": 15,
            "_16": 16,
            "_17": 17,
            "_18": 18,
            "_19": 19,
            "_20": 20,
            "_21": 21,
            "_22": 22,
            "_23": 23,
            "_24": 24,
            "_25": 25,
            "_26": 26,
            "_27": 27,
            "_28": 28,
            "_29": 29,
            "_30": 30,
            "_31": 31,
            "_32": 32,
            "_33": 33,
            "_34": 34,
            "_35": 35,
            "_36": 36,
            "_37": 37,
            "_38": 38,
            "_39": 39,
            "_40": 40,
            "_41": 41,
            "_42": 42,
            "_43": 43,
            "_44": 44,
            "_45": 45,
            "_46": 46,
            "_47": 47,
            "_48": 48,
            "_49": 49,
            "_50": 50,
            "_51": 51,
            "_52": 52,
            "_53": 53,
            "_54": 54,
            "_55": 55,
            "_56": 56,
            "_57": 57,
            "_58": 58,
            "_59": 59,
            "_60": 60,
            "_61": 61,
            "_62": 62,
            "_63": 63,
            "_64": 64
        },
        "窄": {
            "_6": 3,
            "_7": 3.5,
            "_8": 4,
            "_9": 4.5,
            "_10": 5,
            "_11": 5.5,
            "_12": 6,
            "_13": 6.5,
            "_14": 7,
            "_15": 7.5,
            "_16": 8,
            "_17": 8.5,
            "_18": 9,
            "_19": 9.5,
            "_20": 10,
            "_21": 10.5,
            "_22": 11,
            "_23": 11.5,
            "_24": 12,
            "_25": 12.5,
            "_26": 13,
            "_27": 13.5,
            "_28": 14,
            "_29": 14.5,
            "_30": 15,
            "_31": 15.5,
            "_32": 16,
            "_33": 16.5,
            "_34": 17,
            "_35": 17.5,
            "_36": 18,
            "_37": 18.5,
            "_38": 19,
            "_39": 19.5,
            "_40": 20,
            "_41": 20.5,
            "_42": 21,
            "_43": 21.5,
            "_44": 22,
            "_45": 22.5,
            "_46": 23,
            "_47": 23.5,
            "_48": 24,
            "_49": 24.5,
            "_50": 25,
            "_51": 25.5,
            "_52": 26,
            "_53": 26.5,
            "_54": 27,
            "_55": 27.5,
            "_56": 28,
            "_57": 28.5,
            "_58": 29,
            "_59": 29.5,
            "_60": 30,
            "_61": 30.5,
            "_62": 31,
            "_63": 31.5,
            "_64": 32
        }
    },
    "Arial": {
        "宽": {
            "_6": 6,
            "_7": 7,
            "_8": 8,
            "_9": 9,
            "_10": 10,
            "_11": 11,
            "_12": 12,
            "_13": 13,
            "_14": 14,
            "_15": 15,
            "_16": 16,
            "_17": 17,
            "_18": 18,
            "_19": 19,
            "_20": 20,
            "_21": 21,
            "_22": 22,
            "_23": 23,
            "_24": 24,
            "_25": 25,
            "_26": 26,
            "_27": 27,
            "_28": 28,
            "_29": 29,
            "_30": 30,
            "_31": 31,
            "_32": 32,
            "_33": 33,
            "_34": 34,
            "_35": 35,
            "_36": 36,
            "_37": 37,
            "_38": 38,
            "_39": 39,
            "_40": 40,
            "_41": 41,
            "_42": 42,
            "_43": 43,
            "_44": 44,
            "_45": 45,
            "_46": 46,
            "_47": 47,
            "_48": 48,
            "_49": 49,
            "_50": 50,
            "_51": 51,
            "_52": 52,
            "_53": 53,
            "_54": 54,
            "_55": 55,
            "_56": 56,
            "_57": 57,
            "_58": 58,
            "_59": 59,
            "_60": 60,
            "_61": 61,
            "_62": 62,
            "_63": 63,
            "_64": 64
        },
        "窄": {
            "_6": 3.3399999141693115,
            "_7": 3.8899998664855957,
            "_8": 4.449999809265137,
            "_9": 5.009999752044678,
            "_10": 5.559999942779541,
            "_11": 6.119999885559082,
            "_12": 6.670000076293945,
            "_13": 7.230000019073486,
            "_14": 7.789999961853027,
            "_15": 8.34000015258789,
            "_16": 8.899999618530273,
            "_17": 9.449999809265136,
            "_18": 10.010000228881836,
            "_19": 10.569999694824218,
            "_20": 11.119999885559082,
            "_21": 11.679999351501464,
            "_22": 12.239999771118164,
            "_23": 12.789999961853027,
            "_24": 13.34999942779541,
            "_25": 13.899999618530273,
            "_26": 14.460000038146972,
            "_27": 15.019999504089355,
            "_28": 15.569999694824218,
            "_29": 16.1299991607666,
            "_30": 16.68000030517578,
            "_31": 17.239999771118164,
            "_32": 17.799999237060547,
            "_33": 18.350000381469726,
            "_34": 18.90999984741211,
            "_35": 19.469999313354492,
            "_36": 20.020000457763672,
            "_37": 20.579999923706054,
            "_38": 21.1299991607666,
            "_39": 21.689998626708984,
            "_40": 22.25,
            "_41": 22.799999237060547,
            "_42": 23.35999870300293,
            "_43": 23.90999984741211,
            "_44": 24.469999313354492,
            "_45": 25.029998779296875,
            "_46": 25.579999923706054,
            "_47": 26.139999389648437,
            "_48": 26.69999885559082,
            "_49": 27.25,
            "_50": 27.809999465942383,
            "_51": 28.35999870300293,
            "_52": 28.920000076293945,
            "_53": 29.479999542236328,
            "_54": 30.029998779296875,
            "_55": 30.59000015258789,
            "_56": 31.139999389648437,
            "_57": 31.69999885559082,
            "_58": 32.2599983215332,
            "_59": 32.80999755859375,
            "_60": 33.369998931884766,
            "_61": 33.93000030517578,
            "_62": 34.47999954223633,
            "_63": 35.040000915527344,
            "_64": 35.59000015258789
        }
    },
    getFontWidth: function(fontName, fontHeight, typeStr) {
        let rst = 12;
        if (fontWidthMap[fontName]) {
            rst = fontWidthMap[fontName][typeStr]['_' + fontHeight];
        } else {
            rst = fontWidthMap['宋体'][typeStr]['_' + fontHeight];
        }
        return rst;
    }
};

module.exports = fontWidthMap;
